TestList Struct Reference

`#include <list.test.h>`

## Classes

struct | My
struct | My2

## Public Member Functions

template<typename List >
void | checkOddList (List l)
template<typename List >
void | checkListSorted (List l)
Test | count ()
Test | filtered ()
Test | sorted ()
Test | unique ()
Test | stl ()
Test | empty ()
Test | single ()
Test | append ()
Test | appendCount ()

## Static Public Member Functions

static bool | odd (int i)
static int | mul2add1 (int a)

## Member Function Documentation

## append()

Test TestList::append | ( |  | ) |

inline

References wibble::list::append(), assert, assert_eq, and wibble::list::singular().

## appendCount()

Test TestList::appendCount | ( |  | ) |

inline

References wibble::list::append(), assert_eq, and wibble::list::count().

## checkListSorted()

template<typename List >

void TestList::checkListSorted | ( | List | l | ) |

inline

References assert.

## checkOddList()

template<typename List >

void TestList::checkOddList | ( | List | l | ) |

inline

References assert, and assert_eq.

## count()

Test TestList::count | ( |  | ) |

inline

References assert_eq, and wibble::list::count().

## empty()

Test TestList::empty | ( |  | ) |

inline

References assert.

## filtered()

Test TestList::filtered | ( |  | ) |

inline

References assert_eq, wibble::list::count(), and wibble::list::filter().

## mul2add1()

static int TestList::mul2add1 | ( | int | a | ) |

inline static

## odd()

static bool TestList::odd | ( | int | i | ) |

inline static

## single()

Test TestList::single | ( |  | ) |

inline

References assert, assert_eq, and wibble::list::singular().

## sorted()

Test TestList::sorted | ( |  | ) |

inline

References assert_eq, wibble::list::count(), and wibble::list::sort().

## stl()

Test TestList::stl | ( |  | ) |

inline

References assert_eq, wibble::list::begin(), and wibble::list::end().

## unique()

Test TestList::unique | ( |  | ) |

inline

References assert_eq, wibble::list::count(), and wibble::list::unique().

The documentation for this struct was generated from the following file:

- list.test.h